void CreateStoryCharacters(ref n)
{
	int tmpNameFileID = LanguageOpenFile(GetStoryLineDir(FindStoryline("DevlinOpera")) + "characters_names.txt");
	object chobj;
	ref ch;

	makeref(ch, chobj);

	ch.old.name = "Mystery";
	ch.old.lastname = "Messenger";
	ch.name = LanguageConvertString(tmpNameFileID, "Mystery");
	ch.lastname = LanguageConvertString(tmpNameFileID, "Messenger");
	ch.id		= "Mystery Messenger";
	ch.model = "Chameleon";
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Mystery Messenger_dialog.c";
	ch.greeting = "Gr_Marc Blacque";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "3";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

	ch.old.name = "";
	ch.old.lastname = "Brin Mistress";
	ch.name = LanguageConvertString(tmpNameFileID, "");
	ch.lastname = LanguageConvertString(tmpNameFileID, "Brin Mistress");
	ch.id		= "Brin Mistress";
	ch.model = "Liz2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Redmond_Residence";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Brin Mistress_dialog.c";
	ch.greeting = "Gr_Estrella";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "3";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetCitizenType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

	LanguageCloseFile(tmpNameFileID);
}
